Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# VectorDiscontinuousLagrangeFE Class Reference

`#include <DiscontinuousLagrangeFE.h>`

Inheritance diagram for VectorDiscontinuousLagrangeFE:

List of all members.

## Public Member Functions
| VectorDiscontinuousLagrangeFE ()
virtual | ~VectorDiscontinuousLagrangeFE ()
virtual void | set (int order)
virtual void | set_element_number (int element)
virtual void | set (Polygon &p)
virtual void | set_size (int size_)
virtual void | compute_basis_functions ()
virtual int | nbf ()
virtual GiNaC::ex | N (int i)
virtual GiNaC::ex | dof (int i)
## Protected Attributes
int | size
int | element

## Detailed Description

Definition at line 23 of file DiscontinuousLagrangeFE.h.

## Constructor & Destructor Documentation

VectorDiscontinuousLagrangeFE::VectorDiscontinuousLagrangeFE | ( |  | ) |

| Definition at line 58 of file DiscontinuousLagrangeFE.cpp. References element.
    00058                                                               :
    00059         VectorLagrangeFE() {
    00060   element = 0;
    00061 }

virtual VectorDiscontinuousLagrangeFE::~VectorDiscontinuousLagrangeFE | ( |  | ) | `[inline, virtual]`

| Definition at line 29 of file DiscontinuousLagrangeFE.h.
    00029 {}

## Member Function Documentation

void VectorDiscontinuousLagrangeFE::compute_basis_functions | ( |  | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 68 of file DiscontinuousLagrangeFE.cpp. References VectorLagrangeFE::compute_basis_functions(), StandardFE::dofs, and element.
    00068                                                             {
    00069   VectorLagrangeFE:: compute_basis_functions();
    00070   for (int i=0; i< dofs.size(); i++) {
    00071     dofs[i] = GiNaC::lst(dofs[i], element);
    00072   }
    00073
    00074 }

GiNaC::ex VectorDiscontinuousLagrangeFE::dof | ( | int | i | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 92 of file DiscontinuousLagrangeFE.cpp. References StandardFE::dof().
    00092                                                  {
    00093   return StandardFE::dof(i);
    00094 }

GiNaC::ex VectorDiscontinuousLagrangeFE::N | ( | int | i | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 97 of file DiscontinuousLagrangeFE.cpp. References StandardFE::N().
    00097                                               {
    00098   return StandardFE::N(i);
    00099 }

int VectorDiscontinuousLagrangeFE::nbf | ( |  | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 64 of file DiscontinuousLagrangeFE.cpp. References StandardFE::nbf().
    00064                                         {
    00065   return StandardFE::nbf();
    00066 }

void VectorDiscontinuousLagrangeFE::set | ( | Polygon & | p | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 82 of file DiscontinuousLagrangeFE.cpp. References StandardFE::set().
    00082                                                     {
    00083   StandardFE::set(p_);
    00084 }

void VectorDiscontinuousLagrangeFE::set | ( | int | order | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 87 of file DiscontinuousLagrangeFE.cpp. References StandardFE::set().
    00087                                                    {
    00088   StandardFE::set(order_);
    00089 }

void VectorDiscontinuousLagrangeFE::set_element_number | ( | int | element | ) | `[virtual]`

| Definition at line 101 of file DiscontinuousLagrangeFE.cpp. References element.
    00101                                                                     {
    00102   element = element_;
    00103 }

void VectorDiscontinuousLagrangeFE::set_size | ( | int | size_ | ) | `[virtual]`

| Reimplemented from VectorLagrangeFE. Definition at line 77 of file DiscontinuousLagrangeFE.cpp. References size.
    00077                                                        {
    00078   size = size_;
    00079 }

## Member Data Documentation

int VectorDiscontinuousLagrangeFE::element`[protected]`

| Definition at line 26 of file DiscontinuousLagrangeFE.h. Referenced by compute_basis_functions(), set_element_number(), and VectorDiscontinuousLagrangeFE().

int VectorDiscontinuousLagrangeFE::size`[protected]`

| Reimplemented from VectorLagrangeFE. Definition at line 25 of file DiscontinuousLagrangeFE.h. Referenced by set_size().

The documentation for this class was generated from the following files:

- DiscontinuousLagrangeFE.h
- DiscontinuousLagrangeFE.cpp